package com.example.demo;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Profile;
import org.springframework.boot.CommandLineRunner;

import org.springframework.beans.factory.annotation.Autowired;

// https://stackoverflow.com/a/47265054/147530
@SpringBootApplication
@Profile("profile1")
public class DemoApplication implements CommandLineRunner {
	Config1 config;

	public DemoApplication(Config1 config) {
		this.config = config;
	}

	public static void main(String[] args) {
		SpringApplication.run(DemoApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		System.out.printf("username = %s\n", config.username);
		System.out.printf("password = %s\n", config.password);
		System.out.printf("Hello %s\n", config.name);
		System.out.printf("Filename %s\n", config.inputFile);
		System.out.printf("City = %s\n", config.city);
		//BufferedReader reader = new BufferedReader(new FileReader(config.inputFile));
	}

}
